Mint 20 - Dependency problems with Mysql-server-8.0

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
theedudenator
Level 1
Level 1
Posts: 36
Joined: Fri Nov 29, 2013 11:15 pm

Mint 20 - Dependency problems with Mysql-server-8.0

Post by theedudenator »

Mint 20 - Dependency problems with Mysql-server-8.0

Anyone have this issue?

Any suggestions on how to correct it?
hydrurga
Level 5
Level 5
Posts: 733
Joined: Sun Nov 15, 2015 4:08 pm

Re: Mint 20 - Dependency problems with Mysql-server-8.0

Post by hydrurga »

Could you please provide more information on these dependency problems, preferably output from the command that indicates they exist and lists the dependency issues.
examexpert
Level 1
Level 1
Posts: 1
Joined: Thu Jul 30, 2020 7:23 pm
Location: Las Vegas, Nevada, USA

Re: Mint 20 - Dependency problems with Mysql-server-8.0

Post by examexpert »

I wish the maintainers of the repositories would just remove MySQL version 8.0 altogether. It's just not ready for public consumption, at lease as far as Mint 20 is concerned. Even after doing a fresh install of Mint, you get dependency errors and myphpadmin won't allow root login. Not many people have posted solutions because (apparently) the issues are just starting.

The errors range from the install not knowing where your mysql files are located to having the folder locations having the wrong permissions.

Here's a link to one users elaborate fix. To me, it just seems like way too much work that never had to do with previous Mint versions:

https://www.58bits.com/blog/2020/05/03/ ... and-ubuntu

More problems are created when you try to install phpmyadmin, which before, created a database with all the proper permissions, etc. Now, apparently, the user has to figure that all out manually because you don't even get asked for a password. What a mess!

Here is a screenshot of the errors I see after a fresh install:

Image

In the previous versions, there was no "control user" issues nor did people have problems with non-existent directories.
Can the developers please post an addendum to the release notes on how to deal with all these problems... like on this page:

Just ONE example of errors:

Code: Select all

update-alternatives: using /var/lib/mecab/dic/ipadic-utf8 to provide /var/lib/mecab/dic/debian (mecab-dictionary) in auto mode
dpkg: dependency problems prevent configuration of mysql-server:
 mysql-server depends on mysql-server-8.0; however:
  Package mysql-server-8.0 is not configured yet.

dpkg: error processing package mysql-server (--configure):
 dependency problems - leaving unconfigured
Processing triggers for systemd (245.4-4ubuntu3.2) ...
Processing triggers for man-db (2.9.1-1) ...
Processing triggers for ureadahead (0.100.0-21) ...
Processing triggers for libc-bin (2.31-0ubuntu9) ...
Errors were encountered while processing:
 mysql-server-8.0
 mysql-server
E: Sub-process /usr/bin/dpkg returned an error code (1)
https://linuxmint.com/rel_ulyana_cinnamon.php

Thanks!
theedudenator
Level 1
Level 1
Posts: 36
Joined: Fri Nov 29, 2013 11:15 pm

Re: Mint 20 - Dependency problems with Mysql-server-8.0

Post by theedudenator »

Looking online others were having the same issue.
I ended up doing a fresh 20 install, no issues now.
Post Reply

Return to “Software & Applications”